<?php
require "system/class.db.php";
require "system/config.ini.php";

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Mārcis Kols :: Gaming Project CMS v0.01 Alpha</title>
<link type="text/css" rel="StyleSheet" href="/template/style/style.css" />
</head>
<body>

<div class="top_nav">
kkas?
</div>


<div class="wrapper">

	<form id="registration_form" method="post" >
	
		<?php
				if(isset($_POST["submit"])) {
				#kļūdu arrajs
				$errors = array();

				

				#Pārbaudām vai tāds lietotājvārds jau nau aizņemts
				$check_username = $db->count("SELECT `id` FROM `users` WHERE `username` = ?", array($_POST['username']));

				if($check_username == 0){

					#Pārbaudām lietotājvārda lauku
					if(empty($_POST["username"])) {
						$errors[] = "Lūdzu izvēlies sev Lietotājvārdu!";
					} elseif(strlen($_POST["username"]) < 6) {
						$errors[] = "Lietotājsvārds nevar būt īsāks par 6 rakstzīmēm!";
					} elseif(strlen($_POST["username"]) > 14) {
						$errors[] = "Lietotājvārds nedrīkst būt garāks par 14 rakstzīmēm!";
					}

					#pārbaudam, vai lietotājs satur atļautos simbolus
					$username = $_POST["username"];
					if (!preg_match("/^[a-z-A-Z]*$/",$username)) {
					  $errors[] = "Lietotājvārds drīkst saturēt tikai Latīņu rakstzīmes [a-zA-Z]!";
					}

				} else {
					$errors[] = "Šāds lietotājvārds jau ir reģistrēts!";
				}

				#ekrāna vārda lauks

				#vai ekrāna vārds jau eksistē?
				$check_screenname = $db->count("SELECT `id` FROM `users` WHERE `screenname` = ?", array($_POST['screen-name']));
				if($check_username == 0) {

					if(empty($_POST["screen-name"])) {
						$errors[] = "Tu neizvēlējies sev ekrāna vārdu!";
					} elseif (strlen($_POST["screen-name"]) < 5) {
						$errors[] = "Ekrāna vārds nedrīkst būt īsāks par 5 rakstzīmēm!";
					} elseif (strlen($_POST["screen-name"]) > 14) {
						$errors[] = "Ekrāna vārds pārsniedz atļauto rakstzīmju skaitu (14)!";
					}

				} else {
					$errors[] = "Lūdzu ievadi ekrāna vārdu";
				}

				#Vai lietotājvārds sakrīt ar ekrana vārdu?
				if($_POST["username"] == $_POST["screen-name"]) {
					$errors[] = "Lietotājvārds nedrīkst būt vienāds ar ekrāna vārdu!";
				}

				#Pārbaudām paroles laukus
				if(empty($_POST["password1"])) {
					$errors[] = "Lūdzu izdomā sev paroli!";
				} elseif(strlen($_POST["password1"]) < 8) {
					$errors[] = "Parole nedrīks būt īsāka par 8 rakstzīmēm!";
				} elseif(strlen($_POST["password1"]) > 32) {
					$errors[] = "Parole ir pārāk gara!";
				}

				#Paroles otrais lauks
				if(empty($_POST["password2"])) {
					$errors[] = "Lūdzu apstiprini savu paroli laukā \"Parole Atkārtoti\"!";
				} elseif($_POST["password1"] != $_POST["password2"]) {
					$errors[] = "Ievadītās paroles nesakrīt!";
				}

				#Čekojam e-pastu
				$email = $_POST["email"];
				$check_email = $db->count("SELECT `id` FROM `users` WHERE `email` = ?", array($_POST['email']));
				if (!filter_var($email, FILTER_VALIDATE_EMAIL)) {
				  $errors[] = "Norādītais e-pasts nav derīgs!";
				} elseif($check_email == 1) {
					$errors[] = "Šāds e-pasts jau ir reģistrēts!<br><small><span style='color:red;'>Ja tas ir tavs e-pasts, lūdzu sazinies ar administrāciju izmantojot e-pastu (marcis@marcis-blogo.lv).</span></small>";
				}



				#erroru Uzskaite / Veiksmīgas formas aizpildīšana
				if(count($errors) > 0){
					echo "<div class='errors'><strong>Akvai, izlabo šīs kļūdas:</strong><br/>";
					foreach($errors as $error){echo "- ".$error."<br/>";}
					echo "</div>";
				} else {
					

					$username 	= $_POST["username"];
					$screenname = $_POST["screen-name"];
					$password1 	= $_POST["password1"];
					$password2 	= $_POST["password2"];
					$email 		= $_POST["email"];
					$aboutme	= $_POST["aboutme"];
					$date 		= time();
					$lastip 	= $_SERVER['REMOTE_ADDR'];

					$db->insert("INSERT INTO `users` (`username`,`screenname` , `password1`, `password2`, `email`, `registration_date`, `last_ip`) VALUES (?, ?, ?, ?, ?, ?, ?)",
					 array($username, $screenname, $password1, $password2, $email, $date, $lastip));
					echo "<div class='success'>Apsveicam! Reģistrācija veiksmīga, tagad vari autorizēties.</div>";
				}

				}

		?>
		<div class="form_title"><strong>Lietotājvārds:</strong><span><a id="username" href="#">Kas tas ir?</a></span></div>
		<input type="text" name="username" placeholder="Lietotājvārds" autocomplete="off">

		<div class="form_title"><strong>Ekrāna Vārds:</strong><span><a href="#">Kas tas ir?</a></span></div>
		<input type="text" name="screen-name" placeholder="Ekrāna Vārds" autocomplete="off">

		<div class="form_title"><strong>Parole:</strong></div>
		<input type="password" name="password1" placeholder="Parole" autocomplete="off">

		<div class="form_title"><strong>Parole Atkārtoti:</strong></div>
		<input type="password" name="password2" placeholder="Parole Atkārtoti" autocomplete="off">

		<div class="form_title"><strong>E-Pasts:</strong></div>
		<input type="email" name="email" placeholder="E-Pasts"  autocomplete="off">

		<button type="submit" name="submit">- Reģistrēties -</button>
		<div class="registrationBottomText">Reģistrējoties šajā mājaslapa, Jūs automātiski piekrītat mūsu "<strong><a href="#">Portāla Lietošanas Noteikumiem</a></strong>".</div>
	</form>

</div>
</body>
</html>